ant-junit-1.9.6-100.1.noarch.rpm


Advertisement

Description

ant-junit - Optional junit tasks for ant

Distribution: openSUSE 42.1
Repository: openSUSE JAVA all
Package name: ant-junit
Package version: 1.9.6
Package release: 100.1
Package architecture: noarch
Package type: rpm
Installed size: 194.79 KB
Download size: 133.70 KB
Official Mirror: ftp.gwdg.de
Apache Ant is a Java-based build tool. This package contains optional JUnit tasks for Apache Ant.

Alternatives

Requires

Provides

  • ant-junit = 1.9.6-100.1
  • config(ant-junit) = 1.9.6-100.1

    Download

    Install Howto

    1. Add the openSUSE JAVA repository:
      # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/Java:/packages/openSUSE_Leap_42.1/ opensuse-java
    2. Install ant-junit rpm package:
      # zypper install ant-junit

    Files

    • /etc/ant.d/junit
    • /etc/ant.d/junit4
    • /usr/share/ant/etc/junit-frames.xsl
    • /usr/share/ant/etc/junit-noframes.xsl
    • /usr/share/ant/lib/ant-junit.jar
    • /usr/share/ant/lib/ant-junit4.jar
    • /usr/share/java/ant/ant-junit.jar
    • /usr/share/java/ant/ant-junit4.jar
    • /usr/share/maven-metadata/ant-junit.xml
    • /usr/share/maven-poms/JPP.ant-ant-junit.pom
    • /usr/share/maven-poms/JPP.ant-ant-junit4.pom

    Changelog

    2017-02-20 - tchvatal@suse.com - Revert the previous change as it broke the build of most java software stack

    2017-02-13 - guoyunhebrave@gmail.com - Add profile.d scripts to set ANT_HOME

    2016-01-15 - opensuse@dstoecker.de - junit4 test did not work (bnc#915686)

    2015-07-29 - tchvatal@suse.com - Add xalan-j2-serializer to ant-antlr requirements

    2015-07-28 - tchvatal@suse.com - Sync the changes files among the subpkgs - Version bump to 1.9.6: * Read WHATSNEW file for full changelist

    2015-06-21 - jengelh@inai.de - Do better quoting to get better error messages when it fails

    2015-03-18 - tchvatal@suse.com - Fix build with new javapackages-tools

    2014-08-28 - coolo@suse.com - to bootstrap 13.2 we need another split because bsf depends on things that depend on junit and as antlr requires bsf, we need a 3rd step -> split ant-junit to build in between ant and ant-antlr

    2014-07-04 - tchvatal@suse.com - Fix building on SLE. - Added patch: * apache-ant-old-gcj-build.patch

    2014-07-04 - tchvatal@suse.com - Update to 1.9.4: * Read WHATSNEW file for full changelist * initial support for Java 1.9 * <junit> has now a threads attribute allowing to run the tests in several threads. Bugzilla Report 55925 * TarInputStream will now read archives created by tar implementations that encode big numbers by not adding a trailing NUL.

    Advertisement
    Advertisement